﻿
MP_version = GetAddOnMetadata("MusicPlayer", "Version") 


-- colors
LightBlue = "|cff00ccff"
Blue = "|cff0000ff"
Green = "|cff00ff00"
Red = "|cffff0000"
LightRed = "|cffff8080"
Gold = "|cffffcc00"
Gray = "|cff888888"
White = "|cffffffff"
SubWhite = "|cffbbbbbb"
Mageta = "|cffe040ff"
Yellow = "|cffffff00"
Cyan = "|cff00ffff"



MusicPlayer_Login_Msg = ""..Gold.."Trysor's MusicPlayer v"..MP_version.." loaded. Type '"..Green.."/musicplayer"..Gold.."' for info.";

MP_DefaultPlaylist_1 = "No mp3s have been";
MP_DefaultPlaylist_2 = "Added to MusicPlayer.";
MP_DefaultPlaylist_3 = "";
MP_DefaultPlaylist_4 = "Type '/mp help' to read";
MP_DefaultPlaylist_5 = "how to add your mp3s.";
MP_DefaultPlaylist_6 = " ";

MusicPlayer_LABEL_TITLE = "Playlist";
MusicPlayer_LABEL_TITLE2 = "Music Control";
MusicPlayer_LABEL_TITLE3 = "Options";
MusicPlayer_LABEL_TITLE4 = "When finished:";
		
MusicPlayer_FadeSong = "Fade";
MusicPlayer_Next_Song = "Next Song";
MusicPlayer_Shuffle = "Shuffle";
MusicPlayer_Previous_Song = "Previous Song";
MusicPlayer_ToggleInfo = "Add Songinfo";
	
MusicPlayer_BUTTON_TOOLTIP0 = "MusicPlayer";
MusicPlayer_BUTTON_TOOLTIP1 = "Left-click to show the dropdown menu.";
MusicPlayer_BUTTON_TOOLTIP2 = "Right-click and drag to move this button.";
UnknownCommand = "<MusicPlayer> Unknown command, type '/musicplayer help' for help.";

MusicPlayer_SongNameFrame_Click = "Click to drag";

MUSICPLAYER_OPTIONS_TITLE = "MusicPlayer Options";
MUSICPLAYER_OPTIONS_OPTIONS = "Options";
MUSICPLAYER_OPTIONS_SHOW_FRAME = "Show Frame";
MUSICPLAYER_OPTIONS_LOCK = "Lock Position";
MUSICPLAYER_OPTIONS_SHOWSPAM = "Chat Notification";
MUSICPLAYER_OPTIONS_STATUSBAR = "Enable Status Bar";

MUSICPLAYER_ALPHA = "Frame Alpha:";

MUSICPLAYER_MASTERVOLUME = "Master Volume:";
MUSICPLAYER_MUSICVOLUME = "Music Volume:";

MUSICPLAYER_SCALE = "Player's Scale: ";
MUSICPLAYER_FRAMEWIDTH = "Playlist's Width: ";

MUSICPLAYER_DROPDOWN = "Playlist's location";
MUSICPLAYER_DROPDOWN2 = "Frame Strata";

MUSICPLAYER_SONGS = "Songs";
MUSICPLAYER_PLAYASONGWHENFINISHED = "Play a new song when the last is finished:";
MUSICPLAYER_OPTIONS_WHENFINISHED_DROPDOWN = "What to do:";
	
SONGDELETED = Yellow.."<MusicPlayer> Song Deleted.";

MUSICPLAYER_HELPFRAME_TITLE = "MusicPlayer Help";
MUSICPLAYER_HELP = "Help!";
MUSICPLAYER_THX = "Thx!";

MUSICPLAYER_ABOVE = "Above";
MUSICPLAYER_BELOW = "Below";
MUSICPLAYER_LEFT = "Left Side";
MUSICPLAYER_TOPLEFT = "Top Left";
MUSICPLAYER_BOTTOMLEFT = "Bottom Left";
MUSICPLAYER_RIGHT = "Right Side";
MUSICPLAYER_TOPRIGHT = "Top Right";
MUSICPLAYER_BOTTOMRIGHT = "Bottom Right";


MUSICPLAYER_PLAYNEXT = "Play Next";
MUSICPLAYER_RANDOM = "Random";
MUSICPLAYER_LOOP = "Loop";

MUSICPLAYER_TEXT_HIGH = "High";
MUSICPLAYER_TEXT_LOW = "Low";
MUSICPLAYER_TEXT_NARROW = "Narrow";
MUSICPLAYER_TEXT_WIDE = "Wide";
MUSICPLAYER_TEXT_LARGE = "Large";
MUSICPLAYER_TEXT_SMALL = "Small";
MUSICPLAYER_TEXT_MEDIUM = "Medium";

MUSICPLAYER_TEXT_SAVE = "Save";
MUSICPLAYER_TEXT_CLOSE = "Close";
MUSICPLAYER_TEXT_DELETE = "Delete";
MUSICPLAYER_TEXT_LENGTHINSEC = "Length in sec";

MUSICPLAYER_TEXT_OPTIONS = "Options";
MUSICPLAYER_TEXT_ADVANCED = "Advanced";
MUSICPLAYER_TEXT_SORT = "Sort Songs";

MUSICPLAYER_TEXT_SORT_TOOLTIP1 = "Sort your songs by clicking";
MUSICPLAYER_TEXT_SORT_TOOLTIP2 = "on the song you want changed";
MUSICPLAYER_TEXT_SORT_TOOLTIP3 = "then clicking on the one";
MUSICPLAYER_TEXT_SORT_TOOLTIP4 = "you want to replace it with.";



MUSICPLAYER_TEXT_ColorButton_Text = "Change Text Color";
MUSICPLAYER_TEXT_ColorButton_BG = "Change Background Color";
MUSICPLAYER_TEXT_ColorButton_Borders = "Change Border Color";
MUSICPLAYER_TEXT_ColorButton_Bars = "Change Bar Color";

MUSICPLAYER_TEXT_LOAD = "Load";
MUSICPLAYER_TEXT_DELETE = "Delete";
MUSICPLAYER_TEXT_CREATE = "Create";

MUSICPLAYER_OPTIONS_EXTRA_NAME = "Songs' Name";
MUSICPLAYER_OPTIONS_EXTRA_DUR = "Songs' Duration";
MUSICPLAYER_OPTIONS_EXTRA_NUMBER = "Songs' Number";
MUSICPLAYER_OPTIONS_EXTRA_ARTIST = "Songs' artist";

MUSICPLAYER_OPTIONS_VERSION = "v"..MP_version;

function MPButtonPrint()
	if (GetLocale() == "enUS") then
		if (MusicPlayerOptions.MPButton == false) then
			MPPC(""..Yellow.."<Music Player> MinimapButton: "..Red.."hidden"..Yellow..".");
		else
			MPPC(""..Yellow.."<Music Player> MinimapButton: "..Green.."shown"..Yellow..".");
		end

	elseif (GetLocale() == "deDE") then
		--commin soon (i hope :P )

	elseif (GetLocale() == "frFR") then
		--commin soon (i hope :P )
	end
end


---------------------------------------------------------------------------------------
------------------------------------Help Frame Text------------------------------------
---------------------------------------------------------------------------------------

MUSICPLAYER_HELP_TOOLTIP1 = "How to Add songs";
MUSICPLAYER_HELP_TOOLTIP2 = "Slash commands";
MUSICPLAYER_HELP_TOOLTIP3 = "Options";
MUSICPLAYER_HELP_TOOLTIP4 = "Advanced";

MUSICPLAYER_HELP_TAB1_SONGS = "Add Songs";
MUSICPLAYER_HELP_TAB2_SONGS = "Sort Songs";

MUSICPLAYER_HELP_TAB1_OPTIONS = "CheckButtons";
MUSICPLAYER_HELP_TAB2_OPTIONS = "Sliders";
MUSICPLAYER_HELP_TAB3_OPTIONS = "Color Boxes";

MUSICPLAYER_HELP_TAB1_ADVANCED = "DropDown Menus";
MUSICPLAYER_HELP_TAB2_ADVANCED = "The Player Frame";



-- Introduction
MUSICPLAYER_HELPPANEL_INTRO = Gold.."Welcome to Trysor's MusicPlayer v"..MP_version.."!"..White.."\n\nThis is a guide in how to use the functionalities of MusicPlayer.\nTo the right, there are 4 buttons. Each of them contains extra information about it's case.\n\n\n\n\n\n\n\n"..Gold.."Greetings from Trysor - Grim Batol (EU)";

---------------------------------------------------------------------------------------

-- How to Add songs
MUSICPLAYER_HELPPANEL_ADDSONGS1 = Red.."Learn how to add songs to MusicPlayer here by following the instructions below:\n\n"..Gold.."1. Log out of WoW"..White..", then add the .mp3 files to the Music folder found in MusicPlayer's directory.\n\n"..Gold.."2. Open up the MusicPlayer folder"..White.." and double-click on the 'MusicPlayerPlaylistCreator.hta' file. This will bring up an interface. It will say if it found the Music Folder, and how many mp3s you have.\n\nIf it did NOT find the Music folder, then you have to create a new one, and add your mp3s to it.\n\n If it FOUND the Music folder, and it says theres X mp3s in it, then click 'Create Playlist' button. Now you have to wait. This will take from 10 seconds to 3 minutes, depending on how many mp3s you have.\n\n"..Gold.."3. Log back in to WoW"..White.." and play the music!";

-- Sort Function
MUSICPLAYER_HELPPANEL_ADDSONGS2 = Red.."Learn how to sort your songs to your likings:\n\n"..Gold.."Open up the options frame"..White.." and select the third tab which is named 'Sort Songs'.\n\n"..Gold.."Theres a scrolling frame"..White.." with all your songs listed.\n\n"..Gold.."Click on the song"..White.." you want to move on. This song's background will be selected green.\n\n"..Gold.."Click on the song"..White.." you want to replace the green marked song with.\n\n"..Gold.."Repeat this"..White.." untill you've got your playlist as you like it.";


---------------------------------------------------------------------------------------

-- Slash commands
MUSICPLAYER_HELPPANEL_SLASH = Red.."Slash Commands:"..Gold.."\nTo use these commands type /mp followed by the command you want.\n\nNext / prev\n"..White.."Plays the next or previous song.\n\n"..Gold.."<song name>\n"..White.."Plays <song name>.\n\n"..Gold.."fade / stop / end\n"..White.."Fades the song you are listening to.\n\n"..Gold.."togglebutton / tb\n"..White.."Toggles the Minimap button.\n\n"..Gold.."/mpf and /mp options\n"..White.."Opens the MusicPlayer Options Frame.";

---------------------------------------------------------------------------------------

-- Adding Options frame info

-- Checkies
MUSICPLAYER_HELPPANEL_OPTIONS1 = Red.."What does those checkbuttons do?\n\n"..Gold.."Show Frame:"..White.."\nBy checking this, a new frame will pop up, which is your ingame player. This frame have all the nessecary functions including a status bar.\n\n"..Gold.."Lock Position:"..White.."\nLocks the player at it's position if checked.\n\n"..Gold.."Chat Notification:"..White.."\nIf checked, this will send messages only YOU will see showing what MusicPlayer do when sertain events occurs."
-- Sliders
MUSICPLAYER_HELPPANEL_OPTIONS2 = Red.."What Happens if i slide those sliders?\n\n"..Gold.."Frame Alpha:"..White.."\nAllows you to change the opacity of the player frame. The last slider changes the Frame Strata of the player frame.\n\n"..Gold.."Player's Scale:"..White.."\nChanges the size of the Player frame, where 50% is set to the lowest value, and 150% the highest, while 100% is normal.\n\n"..Gold.."Playlist's Width:"..White.."\nChanges the width of the playlist. 150 is the lowest value, which makes it have the same width as the player. if you set it to 450, it will be much wider. Set it to a width that makes your songs' name and duration have their full names shown in the playlist.";
-- The Color boxes
MUSICPLAYER_HELPPANEL_OPTIONS3 = Red.."How do i use the color boxes?\n\n"..Gold.."Change Text Color:"..White.."\nChanges the color of the text on the player frame and the playlist frame.\n\n"..Gold.."Change Background Color:"..White.."\nChanges the background color of the player frame and the playlist frame.\n\n"..Gold.."Change Border Color:"..White.."\nChanges the border color and the mouseover-bar at the playlist frame and the player frame.\n\n"..Gold.."Change Bar Color:"..White.."\nChanges the color of the status bar (the bar that shows how far in the song you currently are) and the bar that shows you which song you currently play.";
-- THe Dropdown menues
MUSICPLAYER_HELPPANEL_ADVANCED1 = Red.."What happen if I press on this dropdown box?\n\n"..Gold.."The 'Play when finished' Dropdown:"..White.."\nEnables you to choose what the player should do once a song is finished playing. Theres 3 options:\n\n"..Gray.."Play Next:"..White.."\nPlays the next song in your playlist.\n\n"..Gray.."Random:"..White.."\nPlays a random song.\n\n"..Gray.."Loop:"..White.."\nLoops the song which just finished playing.\n\nTheres a checkbutton next to this dropdown box. Check that box if you want the player to do any of the contents in the list. If this checkbutton is not checked, the player will just stop play, and you have to manually start a new song.\n\n\n"..Gray.."However"..White..", if you have enabled 'Shuffle', this option will simply be ignored, and a random song will play.\n\n\n"..Gold.."The 'Playlist's Location' Dropdown:"..White.."\nAllows you to choose the location of the playlist frame relative to the player.\n\n"..Gold.."Frame Strata:"..White.."\nChanges the Frame Strata of the player frame. Frame Strata is the level the frame is at, so if the Frame Strata is set to Low, the frame might fall behind other objects of your UI.";

---------------------------------------------------------------------------------------

-- The Player

MUSICPLAYER_HELPPANEL_ADVANCED2 = Red.."How the player works:\n\n"..Gold.."There is four buttons on the player frame. 3 of them got to diffrent functions depending which mousebutton you press on them.\n\n\nThe Playlist Button:\n\n"..Gray.."Left Click:\n"..White.."Opens the playlist.\n\n"..Gray.."Right Click:\n"..White.."Opens the Options frame.\n\n"..Gold.."The Play next / prev buttons:\n\n"..Gray.."Left Click:\n"..White.."This will either play a random song, if the shuffle options is enabled, or, play the Next / Prev song in you playlist.\n\n"..Gray.."Right Click:\n"..White.."Raises / Lowers the ingame music volume.\n\n\n"..Gold.."The Playlist buttons:\n\n"..White.."These buttons are mainly used to play your mp3s, but you can right click on them to see a tooltip with information about the song. This right click ability will only work if your mp3s have the right information in them.\n\n"..Gray.."The tooltip will show as follows;\n\n"..White.."Title (number)\nArtist   Album\n\nGenre\nQuality";